namespace Netina.AdminPanel.PWA.Services.RestServices;

public interface IOrderRestApi
{
    [Get("")]
    Task<List<OrderSDto>> ReadAll([Query]int page,
        [Header("Authorization")] string authorization,
        [Query] string? factorCode = null, 
        [Query] long? selectedDate = null, 
        [Query] OrderStatus? orderStatus = null, 
        [Query] OrderQueryDateFilter? dateFilter = null,
        [Query] bool? orderBags = null);

    [Get("/{id}")]
    Task<OrderLDto> ReadOne(Guid id, [Header("Authorization")] string authorization);

    [Post("/{id}/confirm")]
    Task<bool> ConfirmOrderStepAsync(Guid id,[Query] OrderStatus nextOrderStatus, [Header("Authorization")] string authorization);
    [Post("/{id}/confirm")]
    Task<bool> ConfirmOrderStepAsync(Guid id, [Query] OrderStatus nextOrderStatus, [Query]string trackingCode, [Header("Authorization")] string authorization);
}